---
import { format } from 'date-fns';

let {event, displayEvaluation} = Astro.props;

let eventStyleClass = event.meals ? "schedule-line meals":"schedule-line"

---
<style lang="scss">
    .schedule-line {
        display: grid;
        grid-template-columns: 4em auto;
        padding: 0.5em 0;

        &.meals {
            border-top: 1px solid #ccc;
            border-bottom: 1px solid #ccc;
            background-color: #f5f5f5;
            color: #555;

            .title-block {
                text-align: center;
                letter-spacing: 0.2em;
            }
        }
    }
</style>

<div class={eventStyleClass}>    
    <div>
        { event.starts_at ? `${event.starts_at}`.substr(0,5):'-' }
    </div>
    <div class="title-block">
        <div class="font-bold">{event.title}</div>
        
        {event.alternative_speakers_text ? 
            (<div class="">{event.alternative_speakers_text}</div>) : 
            (<div>            
                {event.speakers?.map(ponente => {
                    return (<div class="">{ponente.ponentes_id.name}</div>)
                })}
            </div>)
        }
        {event.notes ? (<div class="text-xs">*{event.notes}</div>) : ''}
        { (displayEvaluation && event.evaluation_form_url) ? (
            <a class="text-gray-900 hover:text-blue-800 underline text-xs py-1 cursor-pointer" href={event.evaluation_form_url} target="_blank">Evaluación de ponencia</a>
        ): ''}
    </div>     
</div>